com.corticon.rulesemf.canonicalvocabularymodel

## Interface DatabaseAccess

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface DatabaseAccess
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Database Access'.

  The following features are supported:

  - `Database Id`
  - `Jdbc Driver Class`
  - `Database URL`
  - `Username`
  - `Password`
  - `Database Property Display Count`
  - `Catalog Filter`
  - `Schema Filter`
  - `Database Property List`
  See Also:
    `CanonicalvocabularymodelPackage.getDatabaseAccess()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VocabularyString` | `getCatalogFilter()` Returns the value of the 'Catalog Filter' containment reference
    `VocabularyString` | `getDatabaseId()` Returns the value of the 'Database Id' containment reference
    `int` | `getDatabasePropertyDisplayCount()` Returns the value of the 'Database Property Display Count' attribute
    `org.eclipse.emf.common.util.EList` | `getDatabasePropertyList()` Returns the value of the 'Database Property List' containment reference list.
    `VocabularyString` | `getDatabaseURL()` Returns the value of the 'Database URL' containment reference
    `VocabularyString` | `getJdbcDriverClass()` Returns the value of the 'Jdbc Driver Class' containment reference
    `VocabularyString` | `getPassword()` Returns the value of the 'Password' containment reference
    `VocabularyString` | `getSchemaFilter()` Returns the value of the 'Schema Filter' containment reference
    `VocabularyString` | `getUsername()` Returns the value of the 'Username' containment reference
    `void` | `setCatalogFilter(VocabularyString value)` Sets the value of the '`Catalog Filter`' containment reference
    `void` | `setDatabaseId(VocabularyString value)` Sets the value of the '`Database Id`' containment reference
    `void` | `setDatabasePropertyDisplayCount(int value)` Sets the value of the '`Database Property Display Count`' attribute
    `void` | `setDatabaseURL(VocabularyString value)` Sets the value of the '`Database URL`' containment reference
    `void` | `setJdbcDriverClass(VocabularyString value)` Sets the value of the '`Jdbc Driver Class`' containment reference
    `void` | `setPassword(VocabularyString value)` Sets the value of the '`Password`' containment reference
    `void` | `setSchemaFilter(VocabularyString value)` Sets the value of the '`Schema Filter`' containment reference
    `void` | `setUsername(VocabularyString value)` Sets the value of the '`Username`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDatabaseId

          VocabularyString getDatabaseId()

      Returns the value of the 'Database Id' containment reference.

      If the meaning of the 'Database Id' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Id' containment reference.
      See Also:
        `setDatabaseId(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_DatabaseId()`

    - #### setDatabaseId

          void setDatabaseId(VocabularyString value)

      Sets the value of the '`Database Id`' containment reference.
      Parameters:
        `value` - the new value of the 'Database Id' containment reference.
      See Also:
        `getDatabaseId()`

    - #### getJdbcDriverClass

          VocabularyString getJdbcDriverClass()

      Returns the value of the 'Jdbc Driver Class' containment reference.

      If the meaning of the 'Jdbc Driver Class' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Jdbc Driver Class' containment reference.
      See Also:
        `setJdbcDriverClass(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_JdbcDriverClass()`

    - #### setJdbcDriverClass

          void setJdbcDriverClass(VocabularyString value)

      Sets the value of the '`Jdbc Driver Class`' containment reference.
      Parameters:
        `value` - the new value of the 'Jdbc Driver Class' containment reference.
      See Also:
        `getJdbcDriverClass()`

    - #### getDatabaseURL

          VocabularyString getDatabaseURL()

      Returns the value of the 'Database URL' containment reference.

      If the meaning of the 'Database URL' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database URL' containment reference.
      See Also:
        `setDatabaseURL(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_DatabaseURL()`

    - #### setDatabaseURL

          void setDatabaseURL(VocabularyString value)

      Sets the value of the '`Database URL`' containment reference.
      Parameters:
        `value` - the new value of the 'Database URL' containment reference.
      See Also:
        `getDatabaseURL()`

    - #### getUsername

          VocabularyString getUsername()

      Returns the value of the 'Username' containment reference.

      If the meaning of the 'Username' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Username' containment reference.
      See Also:
        `setUsername(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_Username()`

    - #### setUsername

          void setUsername(VocabularyString value)

      Sets the value of the '`Username`' containment reference.
      Parameters:
        `value` - the new value of the 'Username' containment reference.
      See Also:
        `getUsername()`

    - #### getPassword

          VocabularyString getPassword()

      Returns the value of the 'Password' containment reference.

      If the meaning of the 'Password' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Password' containment reference.
      See Also:
        `setPassword(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_Password()`

    - #### setPassword

          void setPassword(VocabularyString value)

      Sets the value of the '`Password`' containment reference.
      Parameters:
        `value` - the new value of the 'Password' containment reference.
      See Also:
        `getPassword()`

    - #### getDatabasePropertyDisplayCount

          int getDatabasePropertyDisplayCount()

      Returns the value of the 'Database Property Display Count' attribute.

      If the meaning of the 'Database Property Display Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Property Display Count' attribute.
      See Also:
        `setDatabasePropertyDisplayCount(int)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_DatabasePropertyDisplayCount()`

    - #### setDatabasePropertyDisplayCount

          void setDatabasePropertyDisplayCount(int value)

      Sets the value of the '`Database Property Display Count`' attribute.
      Parameters:
        `value` - the new value of the 'Database Property Display Count' attribute.
      See Also:
        `getDatabasePropertyDisplayCount()`

    - #### getCatalogFilter

          VocabularyString getCatalogFilter()

      Returns the value of the 'Catalog Filter' containment reference.

      If the meaning of the 'Catalog Filter' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Catalog Filter' containment reference.
      See Also:
        `setCatalogFilter(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_CatalogFilter()`

    - #### setCatalogFilter

          void setCatalogFilter(VocabularyString value)

      Sets the value of the '`Catalog Filter`' containment reference.
      Parameters:
        `value` - the new value of the 'Catalog Filter' containment reference.
      See Also:
        `getCatalogFilter()`

    - #### getSchemaFilter

          VocabularyString getSchemaFilter()

      Returns the value of the 'Schema Filter' containment reference.

      If the meaning of the 'Schema Filter' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Schema Filter' containment reference.
      See Also:
        `setSchemaFilter(VocabularyString)`, `CanonicalvocabularymodelPackage.getDatabaseAccess_SchemaFilter()`

    - #### setSchemaFilter

          void setSchemaFilter(VocabularyString value)

      Sets the value of the '`Schema Filter`' containment reference.
      Parameters:
        `value` - the new value of the 'Schema Filter' containment reference.
      See Also:
        `getSchemaFilter()`

    - #### getDatabasePropertyList

          org.eclipse.emf.common.util.EList getDatabasePropertyList()

      Returns the value of the 'Database Property List' containment reference list. The list contents are of type `DatabaseProperty`.

      If the meaning of the 'Database Property List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Property List' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getDatabaseAccess_DatabasePropertyList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.